Bug 805341 - SELinux is preventing /usr/sbin/chronyd from 'read' accesses on the file unix.
SELinux is preventing /usr/sbin/chronyd from 'read' accesses on the file unix.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e296ef9be59b53446b30002631c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 19:36 EDT by Pavel Šimerda (pavlix)
Modified: 2012-04-11 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-106.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Šimerda (pavlix) 2012-03-20 19:36:36 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc7.git0.3.fc17.x86_64
reason:         SELinux is preventing /usr/sbin/chronyd from 'read' accesses on the file unix.
time:           Wed 21 Mar 2012 12:36:24 AM CET

description:
:SELinux is preventing /usr/sbin/chronyd from 'read' accesses on the file unix.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that chronyd should be allowed read access on the unix file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep chronyd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:chronyd_t:s0
:Target Context                system_u:object_r:proc_net_t:s0
:Target Objects                unix [ file ]
:Source                        chronyd
:Source Path                   /usr/sbin/chronyd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           chrony-1.27-0.1.pre1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-104.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.0-0.rc7.git0.3.fc17.x86_64 #1 SMP Mon Mar 12
:                              18:40:17 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Wed 21 Mar 2012 12:01:15 AM CET
:Last Seen                     Wed 21 Mar 2012 12:01:15 AM CET
:Local ID                      eea20899-a655-42f3-b5e8-1a6b6bd212e5
:
:Raw Audit Messages
:type=AVC msg=audit(1332284475.80:92): avc:  denied  { read } for  pid=725 comm="chronyd" name="unix" dev="proc" ino=4026531999 scontext=system_u:system_r:chronyd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1332284475.80:92): arch=x86_64 syscall=access success=no exit=EACCES a0=7fff89251090 a1=4 a2=7fff8925109e a3=1c items=0 ppid=1 pid=725 auid=4294967295 uid=994 gid=992 euid=994 suid=994 fsuid=994 egid=992 sgid=992 fsgid=992 tty=(none) ses=4294967295 comm=chronyd exe=/usr/sbin/chronyd subj=system_u:system_r:chronyd_t:s0 key=(null)
:
:Hash: chronyd,chronyd_t,proc_net_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-03-21 09:46:13 EDT
Fixed in selinux-policy-3.10.0-105.fc17.noarch
Comment 2 Fedora Update System 2012-03-22 15:27:46 EDT
selinux-policy-3.10.0-106.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-106.fc17
Comment 3 Fedora Update System 2012-03-25 17:29:46 EDT
Package selinux-policy-3.10.0-106.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-106.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4694/selinux-policy-3.10.0-106.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-11 22:38:28 EDT
selinux-policy-3.10.0-106.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.